Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing.tree
Interface TreeModel

All Known Implementing Classes:
  DefaultTreeModel

public interface TreeModel

This interface defines a suitable data model for a JTree.

Method Summary
`void` | `addTreeModelListener(TreeModelListener l)` Adds a listener for the TreeModelEvent posted after the tree changes.
`java.lang.Object` | `getChild(java.lang.Object parent, int index)` Returns the child of parent at index index in the parent's child array.
`int` | `getChildCount(java.lang.Object parent)` Returns the number of children of parent.
`java.lang.Object` | `getRoot()` Returns the root of the tree.
`boolean` | `isLeaf(java.lang.Object node)` Returns true if node is a leaf.
`void` | `removeTreeModelListener(TreeModelListener l)` Removes a listener previously added with addTreeModelListener.
`void` | `valueForPathChanged(TreePath path, java.lang.Object newValue)` Called when the user has altered the value for the item identified by path to newValue.

Method Detail

### getRoot

    public java.lang.Object getRoot()

  Returns the root of the tree. Returns null only if the tree has no nodes.

### getChild

    public java.lang.Object getChild(java.lang.Object parent,
                                     int index)

  Returns the child of parent at index index in the parent's child array. parent must be a node previously obtained from this data source. This should not return null if index is a valid index for parent (that is index >= 0 && index < getChildCount(parent)).

### getChildCount

    public int getChildCount(java.lang.Object parent)

  Returns the number of children of parent. Returns 0 if the node is a leaf or if it has no children. parent must be a node previously obtained from this data source.

### isLeaf

    public boolean isLeaf(java.lang.Object node)

  Returns true if node is a leaf. It is possible for this method to return false even if node has no children. A directory in a filesystem, for example, may contain no files; the node representing the directory is not a leaf, but it also has no children.

### valueForPathChanged

    public void valueForPathChanged(TreePath path,
                                    java.lang.Object newValue)

  Called when the user has altered the value for the item identified by path to newValue. If newValue signifies a truly new value the model should post a treeNodesChanged event.

### addTreeModelListener

    public void addTreeModelListener(TreeModelListener l)

  Adds a listener for the TreeModelEvent posted after the tree changes.

### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener l)

  Removes a listener previously added with addTreeModelListener.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD